## org.gjt.sp.jedit.gui
Class GrabKeyDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.gjt.sp.jedit.gui.GrabKeyDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class GrabKeyDialog
extends javax.swing.JDialog

A dialog for getting shortcut keys.

See Also:
  Serialized Form

Nested Class Summary
`static class` `GrabKeyDialog.KeyBinding` A jEdit action or macro with its two possible shortcuts.

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GrabKeyDialog(java.awt.Dialog parent, GrabKeyDialog.KeyBinding binding, java.util.Vector allBindings, Buffer debugBuffer)` Create and show a new modal dialog.
`GrabKeyDialog(java.awt.Frame parent, GrabKeyDialog.KeyBinding binding, java.util.Vector allBindings, Buffer debugBuffer)` Create and show a new modal dialog.

Method Summary
`boolean` `getFocusTraversalKeysEnabled()` Makes the tab key work in Java 1.4.
`java.lang.String` `getShortcut()` Returns the shortcut, or null if the current shortcut should be removed or the dialog either has been cancelled.
`boolean` `isManagingFocus()` Returns if this component can be traversed by pressing the Tab key.
`boolean` `isOK()` Returns true, if the dialog has not been cancelled.
`protected void` `processKeyEvent(java.awt.event.KeyEvent evt)`
`static java.lang.String` `toString(java.awt.event.KeyEvent evt)`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrabKeyDialog

    public GrabKeyDialog(java.awt.Dialog parent,
                         GrabKeyDialog.KeyBinding binding,
                         java.util.Vector allBindings,
                         Buffer debugBuffer)

  Create and show a new modal dialog.

Parameters:
  `parent` - center dialog on this component.
  `binding` - the action/macro that should get a binding.
  `allBindings` - all other key bindings.
  `debugBuffer` - debug info will be dumped to this buffer (may be null)
Since:
  jEdit 4.1pre7

### GrabKeyDialog

    public GrabKeyDialog(java.awt.Frame parent,
                         GrabKeyDialog.KeyBinding binding,
                         java.util.Vector allBindings,
                         Buffer debugBuffer)

  Create and show a new modal dialog.

Parameters:
  `parent` - center dialog on this component.
  `binding` - the action/macro that should get a binding.
  `allBindings` - all other key bindings.
  `debugBuffer` - debug info will be dumped to this buffer (may be null)
Since:
  jEdit 4.1pre7

Method Detail

### toString

    public static java.lang.String toString(java.awt.event.KeyEvent evt)

### getShortcut

    public java.lang.String getShortcut()

  Returns the shortcut, or null if the current shortcut should be removed or the dialog either has been cancelled. Use isOK() to determine if the latter is true.

### isOK

    public boolean isOK()

  Returns true, if the dialog has not been cancelled.

  Since:
    jEdit 3.2pre9

### isManagingFocus

    public boolean isManagingFocus()

  Returns if this component can be traversed by pressing the Tab key. This returns false.

### getFocusTraversalKeysEnabled

    public boolean getFocusTraversalKeysEnabled()

  Makes the tab key work in Java 1.4.

  Since:
    jEdit 3.2pre4

### processKeyEvent

    protected void processKeyEvent(java.awt.event.KeyEvent evt)